@echo off
:: -----------------------------------------------------------------------------
:: build.bat - Win32 Build Script for XML Processing Benchmark
::
:: $Id$
:: -----------------------------------------------------------------------------

:: ----- Verify and Set Required Environment Variables -------------------------

set XPB_HOME=.

if not "%JAVA_HOME%" == "" goto gotJavaHome
echo You must set JAVA_HOME to point at your Java Development Kit installation
goto cleanup
:gotJavaHome

if not "%ANT_HOME%" == "" goto gotAntHome
echo You must set ANT_HOME to point at your Ant installation directory
echo If running on Windows 9x, use DOS 8.3 pathname
goto cleanup
:gotAntHome

:: ----- Set Up The Runtime Classpath ------------------------------------------
set CP=
for %%i in (%ANT_HOME%\lib\*.jar) do call cpappend.bat %%i
if not "%CP%" == "" goto gotAntJars
echo Could not get Ant jar files.
echo If running on Windows 9x, use DOS 8.3 pathname for ANT_HOME. Current value is: %ANT_HOME%
goto cleanup

:gotAntJars
set CP=%JAVA_HOME%\lib\tools.jar;%CP%


if not "%C2_LIB%" == "" goto gotC2Lib
echo C2_LIB is not set. Proceeding without Cocoon ...
goto withoutC2Lib
:gotC2Lib

:: ----- Execute The Requested Build -------------------------------------------

%JAVA_HOME%\bin\java.exe %ANT_OPTS% -classpath %CP% org.apache.tools.ant.Main -Djava.home=%JAVA_HOME% -Dc2.lib=%C2_LIB% %1 %2 %3 %4 %5 %6 %7 %8 %9
goto cleanup

:withoutC2Lib
echo CLASSPATH in use: %CP%
%JAVA_HOME%\bin\java.exe %ANT_OPTS% -classpath %CP% org.apache.tools.ant.Main -Djava.home=%JAVA_HOME% %1 %2 %3 %4 %5 %6 %7 %8 %9

:: ----- Cleanup the environment -----------------------------------------------

:cleanup
set CP=


