@echo off
:: -----------------------------------------------------------------------------
:: run.bat - Win32 Execution Script for XML Processing Benchmark
::
:: $Id$
:: -----------------------------------------------------------------------------

:: ----- Verify and Set Required Environment Variables -------------------------

set XPB_HOME=.
if not "%JAVA_HOME%" == "" goto gotJavaHome
echo You must set JAVA_HOME to point at your Java Development Kit installation
goto cleanup
:gotJavaHome


if not "%C2_LIB%" == "" goto gotC2Lib
echo C2_LIB is not set. Proceeding without Cocoon ...
goto withoutC2
:gotC2Lib

:: ------------------------------------------------------------------------------
:: Cocoon jars should come before others.
:: ------------------------------------------------------------------------------
set CP=
for %%i in (%C2_LIB%\*.jar) do call cpappend.bat %%i
if not "%CP%" == "" goto gotC2Jars
echo Could not get Cocoon jar files.
echo If running on Windows 9x, use DOS 8.3 pathname for C2_LIB. Current value is: %C2_LIB%
goto cleanup
:gotC2Jars

:withoutC2
for %%i in (%XPB_HOME%\lib\*.jar) do call cpappend.bat %%i
if not "%CP%" == "" goto gotLibJars
echo Could not get jar files.
goto cleanup
:gotLibJars

:gotLibJars
set CP=%JAVA_HOME%\lib\tools.jar;%CP%;%XPB_HOME%\build\xpb4j.jar

:: ----- Execute The Requested Build -------------------------------------------

echo CLASSPATH in use: %CP%
%JAVA_HOME%\bin\java.exe -classpath %CP% org.xperf.xpb.XPBDriver %1 %2 %3 %4

:: ----- Cleanup the environment -----------------------------------------------

:cleanup
set CP=
