/*
 * Copyright (c) 2001 by Pankaj Kumar.  All Rights Reserved.
 *
 * This program is open source software; you may use, copy, modify, and
 * redistribute it under the terms of the LICENSE with which it was
 * originally distributed. The LICENSE or reference to the LICENSE
 * can be found in file LICENSE.txt in the base directory of distributed
 * software.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * LICENSE for more details.
 */
package org.xperf.xpb.xstat.cocoon;

import java.io.IOException;
import java.util.Map;

import org.apache.cocoon.transformation.AbstractTransformer;
import org.apache.avalon.framework.parameters.Parameters;
import org.apache.cocoon.ProcessingException;
import org.apache.cocoon.environment.SourceResolver;
import org.apache.avalon.excalibur.pool.Poolable;

import org.xml.sax.Attributes;
import org.xml.sax.Locator;
import org.xml.sax.SAXException;

import org.xperf.xpb.xstat.XMLStat;
import org.xperf.xpb.xstat.sax.StatCollector;
/**
 *

 *
 */
public class StatXTransformer extends AbstractTransformer {
	private static XMLStat stat = new XMLStat();
	private static StatCollector statCollector = new StatCollector(stat);

    public void setup(SourceResolver resolver, Map objectModel,
                      String source, Parameters parameters)
            throws ProcessingException, SAXException, IOException
      {
      }
	public static void setXMLStat(XMLStat astat)
	  {
	  statCollector = new StatCollector(astat);
	  stat = astat;
      }
    public static XMLStat getXMLStat(XMLStat astat)
	  {
	  return(stat);
      }
    /**
     * Receive notification of the beginning of an element.
     */
    public void startElement(String uri, String loc, String raw, Attributes a)
    throws SAXException {
		statCollector.startElement(uri,loc,raw,a);
    }


    /**
     * Receive notification of the end of an element.
     */
    public void endElement(String uri, String loc, String qname)
    throws SAXException {
        statCollector.endElement(uri,loc,qname);
    }

    /**
     * Receive notification of character data.
     */
    public void characters(char ch[], int start, int len)
    throws SAXException {
        statCollector.characters(ch,start,len);
    }

    /**
     * Receive notification of ignorable whitespace in element content.
     */
    public void ignorableWhitespace(char ch[], int start, int len)
    throws SAXException {
        statCollector.ignorableWhitespace(ch,start,len);
    }
}
