/*
 * Copyright (c) 2001 by Pankaj Kumar.  All Rights Reserved.
 *
 * This program is open source software; you may use, copy, modify, and
 * redistribute it under the terms of the LICENSE with which it was
 * originally distributed. The LICENSE or reference to the LICENSE
 * can be found in file LICENSE.txt in the base directory of distributed
 * software.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * LICENSE for more details.
 */
package org.xperf.xpb.xstat.dom;

import org.xperf.xpb.xstat.XMLStat;
import org.w3c.dom.*;
import java.util.*;

public class StatCollector
  {
  private XMLStat stat = null;

  public StatCollector(XMLStat stat)
    {
	this.stat = stat;
    }

  public void element(Element elem)
	{
	String name = elem.getTagName();
	stat.addElem(name);


	Node parentNode = elem.getParentNode();
	if (parentNode.getNodeType() == Node.DOCUMENT_NODE)
	  stat.setRoot(name);
	else
	  {
	  String parent = parentNode.getNodeName();
	  stat.incParentCount(name, parent);
      stat.incChildCount(parent, name);
	  }

	// Attribute handling
    NamedNodeMap nnMap = elem.getAttributes();
	int n = nnMap.getLength();
    for (int i = 0; i < n; i++)
      {
	  Node node = nnMap.item(i);
      String attnm = node.getNodeName();
      stat.incAttrCount(name, attnm);
      }
	}

  public void text(Text t)
	{
	Node parentNode = t.getParentNode();
	String elname = parentNode.getNodeName();
    stat.addCharCount(elname, t.getLength());
	}
  }

