/*
 * Copyright (c) 2001 by Pankaj Kumar.  All Rights Reserved.
 *
 * This program is open source software; you may use, copy, modify, and
 * redistribute it under the terms of the LICENSE with which it was
 * originally distributed. The LICENSE or reference to the LICENSE
 * can be found in file LICENSE.txt in the base directory of distributed
 * software.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * LICENSE for more details.
 */
package org.xperf.xpb.xstat.jdom;

import org.xperf.xpb.xstat.XMLStat;
import org.xperf.xpb.Processor;
import org.xperf.xpb.Result;
import org.xperf.xpb.XPBException;

import java.io.*;
import java.util.List;
import org.jdom.*;
import org.jdom.input.SAXBuilder;

import java.util.HashMap;

public class JDOMProcessor implements Processor
  {
  public Result process(String xmlFile) throws XPBException
    {
	XMLStat stat = new XMLStat();
    StatCollector statCollector = new StatCollector(stat);

	try
	  {
	  SAXBuilder builder = new SAXBuilder();
	  Document doc = builder.build(new File(xmlFile));
	  Element root = doc.getRootElement();
	  collectStat(root, statCollector);
	  }
	catch (Exception e)
	  {
	  throw new XPBException("JDOMProcessor:: error. Exception: " + e);
	  }

	return stat;
    }
  private void collectStat(Element elem, StatCollector sc)
    {
	sc.element(elem);
	List children = elem.getChildren();
	for (int i = 0; i < children.size(); i++)
	  collectStat((Element)children.get(i), sc);
	}

  public void   setup(HashMap map)
    {
	}
  }
