/*
 * Copyright (c) 2001 by Pankaj Kumar.  All Rights Reserved.
 *
 * This program is open source software; you may use, copy, modify, and
 * redistribute it under the terms of the LICENSE with which it was
 * originally distributed. The LICENSE or reference to the LICENSE
 * can be found in file LICENSE.txt in the base directory of distributed
 * software.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * LICENSE for more details.
 */
package org.xperf.xpb.xstat.jdom;

import org.xperf.xpb.xstat.XMLStat;
import java.util.List;
import org.jdom.*;

public class StatCollector
  {
  private XMLStat stat = null;

  public StatCollector(XMLStat stat)
    {
	this.stat = stat;
    }

  public void element(Element elem)
	{
	String name = elem.getQualifiedName();
	stat.addElem(name);

	if (elem.isRootElement())
	  stat.setRoot(name);
	else
	  {
	  Element parentElem = elem.getParent();
	  String parent = parentElem.getQualifiedName();
	  stat.incParentCount(name, parent);
      stat.incChildCount(parent, name);
	  }

	// Attribute handling
    List aList = elem.getAttributes();
	int n = aList.size();
    for (int i = 0; i < n; i++)
      {
	  Attribute attr = (Attribute)aList.get(i);
      String attnm = attr.getQualifiedName();
      stat.incAttrCount(name, attnm);
      }
    stat.addCharCount(name, elem.getText().length());
	}
  }

