/*
 * Copyright (c) 2001 by Pankaj Kumar.  All Rights Reserved.
 *
 * This program is open source software; you may use, copy, modify, and
 * redistribute it under the terms of the LICENSE with which it was
 * originally distributed. The LICENSE or reference to the LICENSE
 * can be found in file LICENSE.txt in the base directory of distributed
 * software.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * LICENSE for more details.
 */
package org.xperf.xpb.xstat.xslt;

import org.xperf.xpb.xstat.XMLStat;
import org.xperf.xpb.Processor;
import org.xperf.xpb.Result;
import org.xperf.xpb.XPBException;

import java.net.URL;

import javax.xml.transform.*;
import javax.xml.transform.stream.*;
import java.util.HashMap;

public class XSLTProcessor implements Processor
  {
  public Result process(String xmlFile) throws XPBException
    {
	XMLStat stat = new XMLStat();
    StatCollector.setXMLStat(stat);

	try
	  {
	  TransformerFactory factory = TransformerFactory.newInstance();
	  URL xsltURL = getClass().getResource("xstat.xsl");
	  Transformer transformer = factory.newTransformer(new StreamSource(xsltURL.openStream()));
	  transformer.transform(new StreamSource(xmlFile), new StreamResult(System.out));
      }
	catch (Exception e)
	  {
	  throw new XPBException("XSLTProcessor:: XSLTProcessor failed. Exception: " + e);
	  }

	return stat;
    }
  public void   setup(HashMap map)
    {
	}
  }
