<?xml version="1.0"?>
<!--
 * Copyright (c) 2001 by Pankaj Kumar.  All Rights Reserved. 
 *
 * This program is open source software; you may use, copy, modify, and
 * redistribute it under the terms of the LICENSE with which it was
 * originally distributed. The LICENSE or reference to the LICENSE
 * can be found in file LICENSE.txt in the base directory of distributed
 * software.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * LICENSE for more details. 
 */
-->
<xsl:stylesheet
  version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:java="http://xml.apache.org/xslt/java"
  exclude-result-prefixes="java"
>

  <xsl:output method="text"/>
  
  <xsl:template match="/">
    <xsl:apply-templates/>
  </xsl:template>
  
  <xsl:template match="node()">
    <xsl:variable name="name" select="name(.)"/>
    <xsl:variable name="parent" select="name(..)"/>
    <xsl:variable name="temp" select="java:org.xperf.xpb.xstat.xslt.StatCollector.element($name, $parent)"/>
    <xsl:apply-templates select="@*"/>
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="@*">
    <xsl:variable name="attr" select="name(.)"/>
    <xsl:variable name="temp" select="java:org.xperf.xpb.xstat.xslt.StatCollector.attribute($attr)"/>
  </xsl:template>

  <xsl:template match="text()">
    <xsl:variable name="text" select="."/>
    <xsl:variable name="temp" select="java:org.xperf.xpb.xstat.xslt.StatCollector.text($text)"/>
  </xsl:template>
  
  <!-- Ignore comments and processing instructions. -->
  <xsl:template match="comment()">
  </xsl:template>

  <xsl:template match="processing-instruction()">
  </xsl:template>
  
</xsl:stylesheet>
